<html lang="en">
<head>
	<meta charset="utf-8">
	<title>CRUD NodeJS dan MySQL</title>
  <link href="/assets/css/bootstrap.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <div class="container">
    <h2>Costumer Bank List</h2>
	<button class="btn btn-success" data-toggle="modal" data-target="#myModalAdd">Add New Customer</button>
    <table class="table table-striped" id="mytable">
      <thead>
        <tr>
          <th>Costumer ID</th>
          <th>Costumer Name</th>
          <th>Alamat</th>
          <th>Kode POS</th>
          <th>No. Hp</th>
          <th>Email</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
         {{#each results}}
        <tr>
          <td>{{ cust_id }}</td>
          <td>{{ nama }}</td>
          <td>{{ alamat }}</td>
          <td>{{ kode_post}}</td>
          <td>{{ no_hp }}</td>
          <td>{{ email }}</td>
          <td>
            <a href="javascript:void(0);" class="btn btn-sm btn-info edit" data-cust_id="{{ cust_id }}" data-nama="{{ nama }}" data-alamat="{{ alamat }}" data-kode_post="{{ kode_post }}" data-no_hp="{{ no_hp }}" data-email="{{ email }}">Edit</a>
            <a href="javascript:void(0);" class="btn btn-sm btn-danger delete" data-cust_id="{{ cust_id }}">Delete</a>
          </td>
        </tr>
        {{/each}}
      </tbody>
    </table>
  </div>


	<!-- Add New Customer Modal-->
	  <form action="/save" method="post">
        <div class="modal fade" id="myModalAdd" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
         <div class="modal-dialog" role="document">
           <div class="modal-content">
             <div class="modal-header">
               <h5 class="modal-title" id="exampleModalLabel">Add New Customer Bank</h5>
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                 <span aria-hidden="true">&times;</span>
               </button>
             </div>
             <div class="modal-body">
               
               <div class="form-group">
                   <input type="text" name="nama" class="form-control" placeholder="Customer Name" required>
               </div>
               <div class="form-group">
                   <input type="text" name="alamat" class="form-control" placeholder="Alamat" required>
               </div>

               <div class="form-group">
                   <input type="text" name="kode_post" class="form-control" placeholder="Kode Pos" required>
               </div>

               <div class="form-group">
                   <input type="text" name="no_hp" class="form-control" placeholder="No Hp" required>
               </div>

               <div class="form-group">
                   <input type="text" name="email" class="form-control" placeholder="Email" required>
               </div>

             </div>
             <div class="modal-footer">
               <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
               <button type="submit" class="btn btn-primary">Save</button>
             </div>
           </div>
         </div>
        </div>
	 </form>



	 <!-- Edit Customer Modal-->
   <form action="/update" method="post">
       <div class="modal fade" id="EditModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Edit Customer Bank</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                   <input type="text" name="nama" class="form-control nama" placeholder="Customer Name" required>
               </div>
               <div class="form-group">
                   <input type="text" name="alamat" class="form-control alamat" placeholder="Alamat" required>
               </div>

               <div class="form-group">
                   <input type="text" name="kode_post" class="form-control kode_post" placeholder="Kode Pos" required>
               </div>

               <div class="form-group">
                   <input type="text" name="no_hp" class="form-control no_hp" placeholder="No Hp" required>
               </div>

               <div class="form-group">
                   <input type="text" name="email" class="form-control email" placeholder="Email" required>
               </div>

              
            </div>
            <div class="modal-footer">
              <input type="hidden" name="cust_id" class="cust_id">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="submit" class="btn btn-primary">Update</button>
            </div>
          </div>
        </div>
       </div>
  </form>

	 <!-- Delete Data Customer Modal-->
 	  <form id="add-row-form" action="/delete" method="post">
 	     <div class="modal fade" id="DeleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
 	        <div class="modal-dialog">
 	           <div class="modal-content">
 	               <div class="modal-header">
									 	<h5 class="modal-title" id="myModalLabel">Delete Data Costumer</h5>
 	                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
 	               </div>
 	               <div class="modal-body">
                    <strong>Are You Sure To Delete This Data?</strong>
 	               </div>
 	               <div class="modal-footer">
				   <input type="hidden" name="cust_id" class="form-control cust_id" required>
 	                   	<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
 	                  	<button type="submit" class="btn btn-success">Delete</button>
 	               </div>
 	      			</div>
 	        </div>
 	     </div>
 	 </form>

<script src="/assets/js/jquery-3.5.1.js"></script>
<script src="/assets/js/bootstrap.js"></script>
<script>
    $(document).ready(function(){
			//showing data to modal for edit record
      $('#mytable').on('click','.edit',function(){
        var cust_id = $(this).data('cust_id');
        var nama = $(this).data('nama');
        var alamat = $(this).data('alamat');
        var kode_post = $(this).data('kode_post');
        var no_hp = $(this).data('no_hp');
        var email = $(this).data('email');

        $('#EditModal').modal('show');
        $('.cust_id').val(cust_id);
        $('.nama').val(nama);
        $('.alamat').val(alamat);
        $('.kode_post').val(kode_post);
        $('.no_hp').val(no_hp);
        $('.email').val(email);
      });
	     
         //showing modal for delete record
		$('#mytable').on('click','.delete',function(){
        var cust_id = $(this).data('cust_id');
        $('#DeleteModal').modal('show');
        $('.cust_id').val(cust_id);
      });

    });
</script>
</body>
</html>
